#!/bin/bash
#
# Setup NISDOMAIN - already done by installation
#

# make sure needed services are on

/sbin/chkconfig --level 35 ypbind on
/sbin/chkconfig --level 35 portmap on

# Set up PAT NFS mount points

[ -d /home          ] || mkdir /home
[ -d /home/mu1      ] || mkdir /home/mu1
[ -d /home/mu2      ] || mkdir /home/mu2
[ -d /home/cpd      ] || mkdir /home/cpd
[ -d /home/pat      ] || mkdir /home/pat
[ -d /home/btev     ] || mkdir /home/btev
[ -d /home/zoom     ] || mkdir /home/zoom
[ -d /home/zoom2    ] || mkdir /home/zoom2

[ -d /fnal/ups ] || mkdir -p /fnal/ups

[ -d /scr        ] || mkdir /scr
[ -d /scr/mu1    ] || mkdir /scr/mu1
[ -d /scr/sim1   ] || mkdir /scr/sim1
[ -d /scr/misc1  ] || mkdir /scr/misc1
[ -d /scr/misc2  ] || mkdir /scr/misc2
[ -d /scr/misc3 ] || mkdir /scr/misc3


# edit fstab
if [ `grep fnpat1.fnal.gov:/home/mu1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/mu1 /home/mu1   nfs   timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/mu2 /home/mu2   nfs   timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/cpd /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/cpd   /home/cpd    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/pat   /home/pat    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/btev /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/btev  /home/btev   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/zoom /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/zoom  /home/zoom   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/zoom2 /home/zoom2  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/fnal/ups /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/fnal/ups /fnal/ups nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/scr/misc1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/scr/sim1  /scr/sim1    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/mu1   /scr/mu1     nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc1 /scr/misc1   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc2 /scr/misc2   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc3 /scr/misc3   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh

if [ `grep /usr/local/bin/bash /etc/shells | wc -l` -eq 0 ]
then
  echo '/usr/local/bin/bash' >> /etc/shells
  echo '/usr/local/bin/tcsh' >> /etc/shells
fi

# enable telnet and ftp
if [ -f /usr/krb5/config/telnet.xinetd.on ]
then
  cp /usr/krb5/config/telnet.xinetd.on /etc/xinetd.d/telnet
fi
if [ -f /usr/krb5/config/ftp.xinetd.on ]
then
  cp /usr/krb5/config/ftp.xinetd.on /etc/xinetd.d/ftp
fi

# fix dvips - not sure if we need to do this
#mv /usr/share/texmf/dvips/config/config.ps /usr/share/texmf/dvips/config/config.ps.orig
#cp /etc/$WORKGROUP/configfiles/config.ps /usr/share/texmf/dvips/config/config.ps

# establish ups
mount /fnal/ups
if [ -f "/fnal/ups/etc/setups.sh" ]
then
  . "/fnal/ups/etc/setups.sh"
  # start ups at boot time
  if [ ! -f /etc/rc.d/init.d/ups ] 
  then
     cp $UPS_DIR/init.d/ups /etc/rc.d/init.d/ups
     /etc/rc.d/init.d/ups config
  fi
  # perl
  #[ -f /usr/local/bin/setup_and_run_perl ] || ups installasroot perl 
  # funame and dropit
  [ -L /usr/local/bin/dropit ] || ln -s $UPS_DIR/bin/dropit /usr/local/bin/dropit
  [ -L /usr/local/bin/funame ] || ln -s $UPS_DIR/bin/funame /usr/local/bin/funame
  # flpr
  if [ ! -f /usr/local/etc/flp.defaults ] 
  then
    echo 'queue wh9w_hp8100' >> /usr/local/etc/flp.defaults
    echo 'host  fnprt' >> /usr/local/etc/flp.defaults
  fi
  setup flpr
  [ -f /usr/local/bin/flpk ] || cp -p $FLPR_DIR/bin/flpk /usr/local/bin/flpk
  [ -f /usr/local/bin/flpr ] || cp -p $FLPR_DIR/bin/flpr /usr/local/bin/flpr
  [ -f /usr/local/bin/flpq ] || cp -p $FLPR_DIR/bin/flpq /usr/local/bin/flpq 
fi
